org.eclipse.incquery.runtime.localsearch.operations.check

## Class CheckOperation

- java.lang.Object
- - org.eclipse.incquery.runtime.localsearch.operations.check.CheckOperation

- All Implemented Interfaces:
    ISearchOperation
  Direct Known Subclasses:
    BinaryTransitiveClosureCheck, CheckConstant, ContainmentCheck, CountCheck, ExpressionCheck, InequalityCheck, InstanceOfClassCheck, InstanceOfDataTypeCheck, NACOperation, ScopeCheck, StructuralFeatureCheck

      public abstract class CheckOperation
      extends java.lang.Object
      implements ISearchOperation

  Abstract base class for search operations that check only the already set variables.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckOperation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `execute(MatchingFrame frame, ISearchContext context)`
    `void` | `onBacktrack(MatchingFrame frame, ISearchContext context)` After the execution of the operation failed and `ISearchOperation.execute(MatchingFrame, ISearchContext)` returns false, the onBacktrack callback is evaluated.
    `void` | `onInitialize(MatchingFrame frame, ISearchContext context)` During the execution of the corresponding plan, the onInitialize callback is evaluated before the execution of the operation may begin.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.localsearch.operations.ISearchOperation

      `getVariablePositions`

- - ### Constructor Detail

    - #### CheckOperation

          public CheckOperation()

  - ### Method Detail

    - #### onInitialize

          public void onInitialize(MatchingFrame frame,
                                   ISearchContext context)
                            throws LocalSearchException

      Description copied from interface: `ISearchOperation`
      During the execution of the corresponding plan, the onInitialize callback is evaluated before the execution of the operation may begin. Operations may use this method to initialize its internal data structures.
      Specified by:
        `onInitialize` in interface `ISearchOperation`
      Throws:
        `LocalSearchException`

    - #### onBacktrack

          public void onBacktrack(MatchingFrame frame,
                                  ISearchContext context)
                           throws LocalSearchException

      Description copied from interface: `ISearchOperation`
      After the execution of the operation failed and `ISearchOperation.execute(MatchingFrame, ISearchContext)` returns false, the onBacktrack callback is evaluated. Operations may use this method to clean up any temporary structures, and make the operation ready for a new execution.
      Specified by:
        `onBacktrack` in interface `ISearchOperation`
      Throws:
        `LocalSearchException`

    - #### execute

          public boolean execute(MatchingFrame frame,
                                 ISearchContext context)
                          throws LocalSearchException

      Specified by:
        `execute` in interface `ISearchOperation`
      Returns:
        true if successful, or false if backtracking needed
      Throws:
        `LocalSearchException`